Package org.apache.ignite.internal.sql.command

## Interface SqlCommand

All Known Implementing Classes:
  `SqlAlterTableCommand`, `SqlAlterUserCommand`, `SqlAnalyzeCommand`, `SqlBulkLoadCommand`, `SqlCreateIndexCommand`, `SqlCreateUserCommand`, `SqlCreateViewCommand`, `SqlDropIndexCommand`, `SqlDropStatisticsCommand`, `SqlDropUserCommand`, `SqlDropViewCommand`, `SqlKillClientCommand`, `SqlKillComputeTaskCommand`, `SqlKillContinuousQueryCommand`, `SqlKillQueryCommand`, `SqlKillScanQueryCommand`, `SqlKillServiceCommand`, `SqlKillTransactionCommand`, `SqlRefreshStatitsicsCommand`, `SqlSetStreamingCommand`, `SqlStatisticsCommands`

    public interface SqlCommand

Generic SQL command.

### Method Summary

All Methods Instance Methods Abstract Methods
`SqlCommand` `parse​(SqlLexer lex)` Parse command.
`String` `schemaName()`
`void` `schemaName​(String schemaName)`

### Method Detail

#### parse

    SqlCommand parse​(SqlLexer lex)

Parse command.

Parameters:
  `lex` - Lexer.
Returns:
  This instance.

#### schemaName

    String schemaName()

Returns:
  Schema name.

#### schemaName

    void schemaName​(String schemaName)

Parameters:
  `schemaName` - Schema name.